跳至内容
ShopentlyLearn

获取列表 — 仓库与库位

查看产品库存、仓库和内部位置。

GET/api/v1/inventory/warehouses

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/inventory/warehouses?limit=20' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

响应

{
  "data": [
    {
      "active": true,
      "address_line": "example",
      "city": "example",
      "code": "example",
      "country_code": "PL",
      "created_at": "2026-01-01T12:00:00Z",
      "customer_visible": false,
      "id": "example",
      "name": "Example",
      "postal_code": "example",
      "updated_at": "2026-01-01T12:00:00Z",
      "version": 1
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 20,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

所需权限

身份验证
访问令牌
最低套餐
STANDARD
密钥权限
查看库存inventory.stock:read